﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR1 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR1] DEFAULT ((0)) FOR [S1YR1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR2 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR2] DEFAULT ((0)) FOR [S1YR2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR3 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR3] DEFAULT ((0)) FOR [S1YR3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR4 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR4] DEFAULT ((0)) FOR [S1YR4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR5 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR5] DEFAULT ((0)) FOR [S1YR5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR6 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR6] DEFAULT ((0)) FOR [S1YR6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR7 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR7] DEFAULT ((0)) FOR [S1YR7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR8 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR8] DEFAULT ((0)) FOR [S1YR8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR9 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR9] DEFAULT ((0)) FOR [S1YR9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR10 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR10] DEFAULT ((0)) FOR [S1YR10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR11 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR11] DEFAULT ((0)) FOR [S1YR11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR12 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR12] DEFAULT ((0)) FOR [S1YR12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR13 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR13] DEFAULT ((0)) FOR [S1YR13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1YR14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1YR14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1YR14 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1YR14] DEFAULT ((0)) FOR [S1YR14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF1 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF1] DEFAULT ((0)) FOR [S1PF1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF2 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF2] DEFAULT ((0)) FOR [S1PF2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF3 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF3] DEFAULT ((0)) FOR [S1PF3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF4 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF4] DEFAULT ((0)) FOR [S1PF4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF5 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF5] DEFAULT ((0)) FOR [S1PF5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF6 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF6] DEFAULT ((0)) FOR [S1PF6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF7 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF7] DEFAULT ((0)) FOR [S1PF7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF8 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF8] DEFAULT ((0)) FOR [S1PF8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF9 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF9] DEFAULT ((0)) FOR [S1PF9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF10 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF10] DEFAULT ((0)) FOR [S1PF10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF11 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF11] DEFAULT ((0)) FOR [S1PF11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF12 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF12] DEFAULT ((0)) FOR [S1PF12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF13 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF13] DEFAULT ((0)) FOR [S1PF13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S1PF14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S1PF14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S1PF14 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S1PF14] DEFAULT ((0)) FOR [S1PF14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR1 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR1] DEFAULT ((0)) FOR [S2YR1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR2 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR2] DEFAULT ((0)) FOR [S2YR2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR3 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR3] DEFAULT ((0)) FOR [S2YR3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR4 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR4] DEFAULT ((0)) FOR [S2YR4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR5 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR5] DEFAULT ((0)) FOR [S2YR5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR6 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR6] DEFAULT ((0)) FOR [S2YR6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR7 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR7] DEFAULT ((0)) FOR [S2YR7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR8 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR8] DEFAULT ((0)) FOR [S2YR8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR9 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR9] DEFAULT ((0)) FOR [S2YR9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR10 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR10] DEFAULT ((0)) FOR [S2YR10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR11 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR11] DEFAULT ((0)) FOR [S2YR11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR12 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR12] DEFAULT ((0)) FOR [S2YR12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR13 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR13] DEFAULT ((0)) FOR [S2YR13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2YR14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2YR14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2YR14 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2YR14] DEFAULT ((0)) FOR [S2YR14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF1')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF1 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF1] DEFAULT ((0)) FOR [S2PF1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF2')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF2 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF2] DEFAULT ((0)) FOR [S2PF2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF3')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF3 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF3] DEFAULT ((0)) FOR [S2PF3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF4')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF4 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF4] DEFAULT ((0)) FOR [S2PF4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF5')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF5 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF5] DEFAULT ((0)) FOR [S2PF5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF6')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF6 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF6] DEFAULT ((0)) FOR [S2PF6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF7')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF7 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF7] DEFAULT ((0)) FOR [S2PF7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF8')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF8 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF8] DEFAULT ((0)) FOR [S2PF8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF9')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF9 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF9] DEFAULT ((0)) FOR [S2PF9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF10')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF10 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF10] DEFAULT ((0)) FOR [S2PF10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF11')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF11 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF11] DEFAULT ((0)) FOR [S2PF11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF12')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF12 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF12] DEFAULT ((0)) FOR [S2PF12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF13')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF13 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF13] DEFAULT ((0)) FOR [S2PF13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'S2PF14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_S2PF14')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_S2PF14 on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_S2PF14] DEFAULT ((0)) FOR [S2PF14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'TIYR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_TIYR')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_TIYR on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_TIYR] DEFAULT ((0)) FOR [TIYR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'PPER' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_PPER')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_PPER on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_PPER] DEFAULT ((0)) FOR [PPER]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'PWEK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_PWEK')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_PWEK on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_PWEK] DEFAULT ((0)) FOR [PWEK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSDAT' AND COLUMN_NAME = 'RETY' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSDAT_RETY')
BEGIN 
    PRINT 'Creating default constraint DF_SYSDAT_RETY on table SYSDAT' 
    ALTER TABLE [dbo].[SYSDAT]
    ADD CONSTRAINT [DF_SYSDAT_RETY] DEFAULT ((0)) FOR [RETY]
END 
GO

